Vizitown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables
Public Member Functions | List of all members
vizitown_plugin.vt_as_handlers.SyncHandler Class Reference

Synchronisation Handler Use to handle the synchronisation of the view from QGIS to the web browser Unherited cyclone.websocket.WebSocketHandler. More...

Inheritance diagram for vizitown_plugin.vt_as_handlers.SyncHandler:
Collaboration diagram for vizitown_plugin.vt_as_handlers.SyncHandler:

## Public Member Functions
def | initialize
| initialize method Method to initialize the handler cyclone.websocket.WebSocketHandler More...
def | connectionMade
| connectionMade method Method call when the websocket is opened cyclone.websocket.WebSocketHandler More...
def | messageReceived
| meassageReceived method Method call when a message is received More...
def | connectionLost
| connectionLost method Method call when the websocket is closed More...
def | on_finish
| on_finish method Method remove the listener cyclone.websocket.WebSocketHandler More...

## Detailed Description

Synchronisation Handler Use to handle the synchronisation of the view from QGIS to the web browser Unherited cyclone.websocket.WebSocketHandler.

## Member Function Documentation

def vizitown_plugin.vt_as_handlers.SyncHandler.connectionLost | ( |  | self,
|  |  | reason
| ) |  |

connectionLost method Method call when the websocket is closed

Parameters

  reason | to indicate the reason of the closed instance cyclone.websocket.WebSocketHandler

def vizitown_plugin.vt_as_handlers.SyncHandler.connectionMade | ( |  | self) |  |

connectionMade method Method call when the websocket is opened cyclone.websocket.WebSocketHandler

def vizitown_plugin.vt_as_handlers.SyncHandler.initialize | ( |  | self) |  |

initialize method Method to initialize the handler cyclone.websocket.WebSocketHandler

def vizitown_plugin.vt_as_handlers.SyncHandler.messageReceived | ( |  | self,
|  |  | message
| ) |  |

meassageReceived method Method call when a message is received

Parameters

  message | received cyclone.websocket.WebSocketHandler

def vizitown_plugin.vt_as_handlers.SyncHandler.on_finish | ( |  | self) |  |

on_finish method Method remove the listener cyclone.websocket.WebSocketHandler

The documentation for this class was generated from the following file:

- vt_as_handlers.py